About PSE » Careers » Job Application FAQ »

Browser Support

For the best user experience

The following browsers are recommended by SAP for use with the SAP e-Recruiting system:

  • Apple Safari version 5.0 and 5.1
  • Firefox version 7, 10 or the most recent release
  • Microsoft Internet Explorer version 7, 8 or 9
  • Chrome (latest release only)
  • Adobe Reader 10.1.3 or higher (plugin for your browser)

Browser settings

Most screens will open and display in a new window. Be sure to turn-off any pop-up blockers in your browser settings.

If you encounter issues, make sure your browser is set to accept cookies. This will enable you to stay logged in to your profile.

For personal security and to prevent illegal access to your profile, please always remember to click the “Log off” link and close your browser when finished, especially if you are using a public computer.

Current support

This table describes the compatibility of some popular browsers with the eRecruiting application.

Browser Type and Version OS Status
IE 7, 8, 9 XP, Vista, Windows7 Full support
IE 10 Windows8 Partial support
Firefox 7, 10 XP, Vista, Windows7, Linux, Mac OS Full support
Firefox (latest release) Vista, Windows7, Linux, Mac OS Full support
Safari 5.0 Mac OS 10.5, 10.6 Full support
Safari 5.1 Mac OS 10.6, 10.7 Full support
Safari 6.0 Mac OS 10.8 Full support
Chrome (latest release only) Windows7 Full support